Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.hubservices.core.v2
Class RevokeAccessRightResponse

    java.lang.Object
      be.fgov.ehealth.hubservices.core.v2.RevokeAccessRightResponse

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-09-22T05:48:42+02:00",
               comments="JAXB RI v2.2.11")
    public class RevokeAccessRightResponse

extends Object
implements Serializable

Java class for RevokeAccessRightResponseType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="RevokeAccessRightResponseType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="response" type="{http://www.ehealth.fgov.be/hubservices/core/v2}ResponseType"/>
             <element name="acknowledge" type="{http://www.ehealth.fgov.be/hubservices/core/v2}AcknowledgeType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`RevokeAccessRightResponse()`

Method Summary
`AcknowledgeType` | `getAcknowledge()` Gets the value of the acknowledge property.
`ResponseType` | `getResponse()` Gets the value of the response property.
`void` | `setAcknowledge(AcknowledgeType value)` Sets the value of the acknowledge property.
`void` | `setResponse(ResponseType value)` Sets the value of the response property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RevokeAccessRightResponse

    public RevokeAccessRightResponse()

Method Detail

### getResponse

    public ResponseType getResponse()

  Gets the value of the response property.

  Returns:
    possible object is `ResponseType`

### setResponse

    public void setResponse(ResponseType value)

  Sets the value of the response property.

  Parameters:
    `value` - allowed object is `ResponseType`

### getAcknowledge

    public AcknowledgeType getAcknowledge()

  Gets the value of the acknowledge property.

  Returns:
    possible object is `AcknowledgeType`

### setAcknowledge

    public void setAcknowledge(AcknowledgeType value)

  Sets the value of the acknowledge property.

  Parameters:
    `value` - allowed object is `AcknowledgeType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TRUSSMAKER 3.23.0 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.